mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.RandomNumberGenerator The Mono:: runtime pseudo-random number generator (RNG).

On Linux, and some UNIX derivate operating systems, the random numbers comes from /dev/random, or if not available, from /dev/urandom.

On Windows operating systems the random numbers comes directly from CryptoAPI.

- Constructor
  Create a new RNGCryptoServiceProvider instance.
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  Seeding data for the random number generator.
  Create a new RNGCryptoServiceProvider instance using the array of bytes as a seed.
  Currently the runtime doesn't support any PRNG that requires seeding - so this contructor will not really seed the PRNG with the supplied data.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added: an object of type 'CspParameters'
  Create a new RNGCryptoServiceProvider instance using the specified Cryptographic Service Provider (CSP).
  Mono doesn't use the CspParameters informations, even on Windows, when creating an instance of this class using this constructor.
  1.0.5000.0
  2.0.0.0
- Constructor
  Seeding data for the random number generator.
  Create a new RNGCryptoServiceProvider instance using the specified string as a seed.
  Currently the runtime doesn't support any PRNG that requires seeding - so this contructor will not really seed the PRNG with the supplied data.
  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` The buffer to be filled with random bytes. Fill the supplied buffer with random bytes. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` The buffer to be filled with random bytes. Fill the supplied buffer with random bytes excluding zeros (0x00). Some cryptographic functions requires random that do not contain zeros. However this restriction do not apply to most application code so this method shouldn't be used. 1.0.5000.0 2.0.0.0
System.Runtime.InteropServices.ComVisible(true)